Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.esf
Class SigPolicyQualifierInfo

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.esf.SigPolicyQualifierInfo

All Implemented Interfaces:
  DEREncodable

    public class SigPolicyQualifierInfo

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`SigPolicyQualifierInfo(ASN1Sequence seq)`
`SigPolicyQualifierInfo(DERObjectIdentifier sigPolicyQualifierId, DEREncodable sigQualifier)`

Method Summary
`static SigPolicyQualifierInfo` | `getInstance(java.lang.Object obj)`
`DERObjectIdentifier` | `getSigPolicyQualifierId()`
`DEREncodable` | `getSigQualifier()`
`DERObject` | `toASN1Object()` SigPolicyQualifierInfo ::= SEQUENCE { sigPolicyQualifierId SigPolicyQualifierId, sigQualifier ANY DEFINED BY sigPolicyQualifierId } SigPolicyQualifierId ::= OBJECT IDENTIFIER

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SigPolicyQualifierInfo

    public SigPolicyQualifierInfo(DERObjectIdentifier sigPolicyQualifierId,
                                  DEREncodable sigQualifier)

### SigPolicyQualifierInfo

    public SigPolicyQualifierInfo(ASN1Sequence seq)

Method Detail

### getInstance

    public static SigPolicyQualifierInfo getInstance(java.lang.Object obj)

### getSigPolicyQualifierId

    public DERObjectIdentifier getSigPolicyQualifierId()

### getSigQualifier

    public DEREncodable getSigQualifier()

### toASN1Object

    public DERObject toASN1Object()

       SigPolicyQualifierInfo ::= SEQUENCE {
          sigPolicyQualifierId SigPolicyQualifierId,
          sigQualifier ANY DEFINED BY sigPolicyQualifierId }

       SigPolicyQualifierId ::= OBJECT IDENTIFIER

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD